GNU bug report logs - #26233
26.0.50; [PATCH] Improve documentation for display-buffer-alist

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Jens Lechtenboerger <lechten@HIDDEN>; Keywords: patch; dated Fri, 24 Mar 2017 13:26:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 26233 <at> debbugs.gnu.org:


Received: (at 26233) by debbugs.gnu.org; 26 Mar 2017 14:17:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 26 10:17:42 2017
Received: from localhost ([127.0.0.1]:46024 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cs8zG-0005Cf-Bz
	for submit <at> debbugs.gnu.org; Sun, 26 Mar 2017 10:17:42 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60128)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1cs8zF-0005CS-5n
 for 26233 <at> debbugs.gnu.org; Sun, 26 Mar 2017 10:17:41 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1cs8z6-0004VY-2M
 for 26233 <at> debbugs.gnu.org; Sun, 26 Mar 2017 10:17:36 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:39161)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1cs8z5-0004VU-VC; Sun, 26 Mar 2017 10:17:31 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2682
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1cs8z5-00039g-4x; Sun, 26 Mar 2017 10:17:31 -0400
Date: Sun, 26 Mar 2017 17:17:29 +0300
Message-Id: <83vaqw9l6u.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <58D77E01.6000105@HIDDEN> (message from martin rudalics on Sun,
 26 Mar 2017 10:38:25 +0200)
Subject: Re: bug#26233: 26.0.50;
 [PATCH] Improve documentation for display-buffer-alist
References: <<87o9wq6c31.fsf@HIDDEN>	<1a350894-ae16-4706-888f-6575cdc559ec@default>>	<<878tnt6bdi.fsf@HIDDEN>>	<<83shm1bvud.fsf@HIDDEN>>
 <f3c3d248-6836-40c8-8c34-862eb50d9817@default> <58D77E01.6000105@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 26233
Cc: lechten@HIDDEN, 26233 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Date: Sun, 26 Mar 2017 10:38:25 +0200
> From: martin rudalics <rudalics@HIDDEN>
> CC: 26233 <at> debbugs.gnu.org
> 
> I deeply regret that I ever got involved in this.

Please don't.  I think your work in this area had (and continues to
have) a tremendously positive effect on Emacs, both in the usability
and the maintainability areas.  Don't let a certain attitude convince
you otherwise.

Thank you for your continuing work on Emacs, in these areas and
elsewhere.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26233; Package emacs. Full text available.

Message received at 26233 <at> debbugs.gnu.org:


Received: (at 26233) by debbugs.gnu.org; 26 Mar 2017 08:38:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 26 04:38:44 2017
Received: from localhost ([127.0.0.1]:44997 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cs3hE-0004bP-KR
	for submit <at> debbugs.gnu.org; Sun, 26 Mar 2017 04:38:44 -0400
Received: from mout.gmx.net ([212.227.15.19]:62913)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1cs3hC-0004b9-I7
 for 26233 <at> debbugs.gnu.org; Sun, 26 Mar 2017 04:38:43 -0400
Received: from [192.168.1.100] ([213.162.68.59]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0M9b03-1d15Jp2Z2t-00CwB1; Sun, 26
 Mar 2017 10:38:30 +0200
Message-ID: <58D77E01.6000105@HIDDEN>
Date: Sun, 26 Mar 2017 10:38:25 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>, 
 Jens Lechtenboerger <lechten@HIDDEN>
Subject: Re: bug#26233: 26.0.50;
 [PATCH] Improve documentation for display-buffer-alist
References: <<87o9wq6c31.fsf@HIDDEN>	<1a350894-ae16-4706-888f-6575cdc559ec@default>>	<<878tnt6bdi.fsf@HIDDEN>>	<<83shm1bvud.fsf@HIDDEN>>
 <f3c3d248-6836-40c8-8c34-862eb50d9817@default>
In-Reply-To: <f3c3d248-6836-40c8-8c34-862eb50d9817@default>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:O3NWuNgflyImlFLRXbkB921fTYgfdK25YsU03+DdFUzVbmskj+h
 ZdGKz04q100zP9D6ynjrXW1oQ+IUnz6T0oyfMQCj4BittJ5xySxqrrRYBEbWsy3Adj0R71n
 q4OQCng2jzPYrX6udY1ntk2fUacEG0L24QynuJCXVjJVg/PvaaGZbOv7pHkcT2bQluuyIhS
 CmeTaZmzJc379y2H/x47A==
X-UI-Out-Filterresults: notjunk:1;V01:K0:cAw6tt2YO44=:hy2w0QTFV7eZ4wcGOK3qU4
 oNaB1RMoSa7zdJbsWDI1yyXd+mHcZ3PS84F6dlcVPm871U7cQpeKc+gxyBSfHzhv/iWNdA8p9
 Dw/SklLDt61pmFEPIx9j002LGHsy6nBMGkTn9Ig90ug9fwiYZfLtGCtusVD08TUce022YDK49
 xRDaxyR251kXRv3OPygexUQzPc2u/ImLsIo5TZljcRbJXj/gQB0oxpqXvWZ5fGbCVMSbe4qt9
 gIpZaa6CCMAZYR7aFfpVndsnv0wlg9Z1b6ITv8FX+iJFcgzzN281GpVV6I9jp8jdA2HMemH0E
 UR1SGbIxO5BCAYI8naPNd1Oj7IVY7OgCqUZzONM2XFjAqeQSu8TLVsaI9Dm2eNEj9I6xUqmVc
 Ad8LYIZuWCQzI9ZHxQVwaGeKhbVA8MLvgVwQlftPAjgQtQCJcrRDkqIzEdNXg5kl34ydydoOM
 4nc9AH7ySS3CGfrDcMMt5y8Y53GF1CirhJ3oAl4Xoa7vN1azh/MaU9u9Y+JbmeLCv3KHdmAAu
 hrcmgeFQdJtBQEbzPyhJLceD1QqsVhq075iaxjmfw9mYfZGJFJe82h/Fdboz11PlLM7DfjS8s
 mTfbeOzffKbSYWyw1LhiCnMbNgB1kyfu0zrskE2kkX3pstbSIxYjJYiNFn/0vMPLTHULeAa9C
 fZWUlaNl/10DKNr3Ud8A6J5tSt5/ZKrfNarhmjVGqF1yOyZCyN8Pbvpvc+grlxi6Tg7srZ4s7
 49C7mom4hxypLRkwkxu5nCa3BJOASw0EjQRiMM4NWNLGuutOaE47BpZNipYvUT/sCWm+koXbu
 IKOyjEPfWepnUNnl/6Q7Pp97XUNig==
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: 26233
Cc: 26233 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.0 (--)

 > 2. I _did_ object at the time.

Sorry, but the time was 2011 and at that time I wrote ...

   Your approach will divide Emacs users into two groups: A wide majority=

   that continues to use the old options and a small minority able to wri=
te
   their own alist based functions.

=2E.. and ...

   Most of what you propose above is easily available in Emacs 23 via
   `special-display-regexps'.  An application would just temporarily add
   the buffer, the function, and the alist to the head of that and get th=
e
   behavior without setting any arguments.  Is it really worth inventing =
a
   new `display-buffer' in order to resolve such cosmetic issues?

You did not bother to participate in that discussion and so you did not
object at the time.

 > `display-buffer-alist' is notoriously difficult to
 > understand and make use of.  As one example, though I've
 > asked several times how to use it to get the same effect
 > provided by these options I've never gotten a response.
 >
 > That's the first step for Emacs to take, IMO, after
 > undeprecating these options (as well as anything else
 > "special-display", of course, such as
 > `special-display-alist'): State in the doc exactly how
 > they correspond to a special case of using
 > `display-buffer-alist'.  _Show_ the equivalence.

Despite the fact that many years ago I moved these options and the
corresponding functions from C to Elisp, I still don't understand them
and very likely never will.  If you asked me how to obtain a specific
behavior with =E2=80=98display-buffer-alist=E2=80=99, I might be able to =
come up with an
answer.  In any case I deeply regret that I ever got involved in this.

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26233; Package emacs. Full text available.

Message received at 26233 <at> debbugs.gnu.org:


Received: (at 26233) by debbugs.gnu.org; 25 Mar 2017 17:14:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 25 13:14:53 2017
Received: from localhost ([127.0.0.1]:44551 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1crpHB-0008Dt-6H
	for submit <at> debbugs.gnu.org; Sat, 25 Mar 2017 13:14:53 -0400
Received: from mx1.mailbox.org ([80.241.60.212]:46486)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lechten@HIDDEN>) id 1crpH8-0008Df-ND
 for 26233 <at> debbugs.gnu.org; Sat, 25 Mar 2017 13:14:52 -0400
Received: from smtp1.mailbox.org (smtp1.mailbox.org [80.241.60.240])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mx1.mailbox.org (Postfix) with ESMTPS id D3B7145002;
 Sat, 25 Mar 2017 18:14:44 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter01.heinlein-hosting.de (spamfilter01.heinlein-hosting.de
 [80.241.56.115]) (amavisd-new, port 10030)
 with ESMTP id E4OqtavJDCJS; Sat, 25 Mar 2017 18:14:40 +0100 (CET)
From: Jens Lechtenboerger <lechten@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#26233: 26.0.50;
 [PATCH] Improve documentation for display-buffer-alist
References: <87o9wq6c31.fsf@HIDDEN>
 <1a350894-ae16-4706-888f-6575cdc559ec@default>
 <878tnt6bdi.fsf@HIDDEN>
 <83shm1bvud.fsf@HIDDEN>
 <87tw6h9zdg.fsf@HIDDEN>
 <83mvc9bb8d.fsf@HIDDEN>
Date: Sat, 25 Mar 2017 18:14:39 +0100
In-Reply-To: <83mvc9bb8d.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 25 Mar
 2017 18:57:22 +0300")
Message-ID: <87d1d5wa68.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 26233
Cc: 26233 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On 2017-03-25, at 18:57, Eli Zaretskii wrote:

>> From: Jens Lechtenboerger <lechten@HIDDEN>
>> Cc: <drew.adams@HIDDEN>,  <26233 <at> debbugs.gnu.org>
>> Date: Sat, 25 Mar 2017 15:58:51 +0100
>> 
>> > Those variables were obsoleted in Emacs 24.3, which was released 4
>> > years ago.  Isn't it too late to strongly object now to their
>> > deprecation?  That ship sailed long ago.
>> 
>> I see it this way: The departure of that ship was announced long
>> ago, for those knowing where to look; however, it did not sail yet.
>> I've got several settings for special-display variables in my init
>> file (predating 24.3, I don't know since when).  They still work
>> today, and they work without any user visible warning.
>
> AFAIU, you describe how deprecated variables work.

Yes, I just extended bug#5742.

> The complaint was about announcing the departure, not about the
> departure itself (which didn't yet happen).  "the ship" I alluded
> to was the announcement.

I see.  Given bug#5742 I'm not surprised that there have been only
few objections.

Best wishes
Jens




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26233; Package emacs. Full text available.

Message received at 26233 <at> debbugs.gnu.org:


Received: (at 26233) by debbugs.gnu.org; 25 Mar 2017 15:57:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 25 11:57:34 2017
Received: from localhost ([127.0.0.1]:44477 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cro4M-0004Vz-49
	for submit <at> debbugs.gnu.org; Sat, 25 Mar 2017 11:57:34 -0400
Received: from eggs.gnu.org ([208.118.235.92]:55333)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1cro4L-0004Vn-8W
 for 26233 <at> debbugs.gnu.org; Sat, 25 Mar 2017 11:57:33 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1cro4F-0006rN-5m
 for 26233 <at> debbugs.gnu.org; Sat, 25 Mar 2017 11:57:28 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:55923)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1cro4F-0006rJ-2K; Sat, 25 Mar 2017 11:57:27 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1708
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1cro4E-0005l1-72; Sat, 25 Mar 2017 11:57:26 -0400
Date: Sat, 25 Mar 2017 18:57:22 +0300
Message-Id: <83mvc9bb8d.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jens Lechtenboerger <lechten@HIDDEN>
In-reply-to: <87tw6h9zdg.fsf@HIDDEN>
 (message from Jens Lechtenboerger on Sat, 25 Mar 2017 15:58:51 +0100)
Subject: Re: bug#26233: 26.0.50;
 [PATCH] Improve documentation for display-buffer-alist
References: <87o9wq6c31.fsf@HIDDEN>
 <1a350894-ae16-4706-888f-6575cdc559ec@default>
 <878tnt6bdi.fsf@HIDDEN>
 <83shm1bvud.fsf@HIDDEN>
 <87tw6h9zdg.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 26233
Cc: 26233 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Jens Lechtenboerger <lechten@HIDDEN>
> Cc: <drew.adams@HIDDEN>,  <26233 <at> debbugs.gnu.org>
> Date: Sat, 25 Mar 2017 15:58:51 +0100
> 
> > Those variables were obsoleted in Emacs 24.3, which was released 4
> > years ago.  Isn't it too late to strongly object now to their
> > deprecation?  That ship sailed long ago.
> 
> I see it this way: The departure of that ship was announced long
> ago, for those knowing where to look; however, it did not sail yet.
> I've got several settings for special-display variables in my init
> file (predating 24.3, I don't know since when).  They still work
> today, and they work without any user visible warning.

AFAIU, you describe how deprecated variables work.  The complaint was
about announcing the departure, not about the departure itself (which
didn't yet happen).  "the ship" I alluded to was the announcement.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26233; Package emacs. Full text available.

Message received at 26233 <at> debbugs.gnu.org:


Received: (at 26233) by debbugs.gnu.org; 25 Mar 2017 14:59:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 25 10:59:06 2017
Received: from localhost ([127.0.0.1]:44447 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1crn9m-000367-0S
	for submit <at> debbugs.gnu.org; Sat, 25 Mar 2017 10:59:06 -0400
Received: from mx1.mailbox.org ([80.241.60.212]:42927)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lechten@HIDDEN>) id 1crn9k-00035B-00
 for 26233 <at> debbugs.gnu.org; Sat, 25 Mar 2017 10:59:04 -0400
Received: from smtp1.mailbox.org (smtp1.mailbox.org [80.241.60.240])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mx1.mailbox.org (Postfix) with ESMTPS id A3C704554C;
 Sat, 25 Mar 2017 15:58:57 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter02.heinlein-hosting.de (spamfilter02.heinlein-hosting.de
 [80.241.56.116]) (amavisd-new, port 10030)
 with ESMTP id lAUmiY1f6lJE; Sat, 25 Mar 2017 15:58:53 +0100 (CET)
From: Jens Lechtenboerger <lechten@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#26233: 26.0.50;
 [PATCH] Improve documentation for display-buffer-alist
References: <87o9wq6c31.fsf@HIDDEN>
 <1a350894-ae16-4706-888f-6575cdc559ec@default>
 <878tnt6bdi.fsf@HIDDEN>
 <83shm1bvud.fsf@HIDDEN>
Date: Sat, 25 Mar 2017 15:58:51 +0100
In-Reply-To: <83shm1bvud.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 25 Mar
 2017 11:32:10 +0300")
Message-ID: <87tw6h9zdg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 26233
Cc: 26233 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On 2017-03-25, at 11:32, Eli Zaretskii wrote:

>> From: Jens Lechtenboerger <lechten@HIDDEN>
>> Date: Sat, 25 Mar 2017 08:53:13 +0100
>> Cc: 26233 <at> debbugs.gnu.org
>> 
>> On 2017-03-24, at 07:51, Drew Adams wrote:
>> 
>> >> in Bug#25946 we discussed how to replace the obsolete variables
>> >> special-display-buffer-names and special-display-regexps.  The
>> >> attached patch extends the doc string of display-buffer-alist
>> >> based on that discussion.
>> >
>> > FWIW:
>> >
>> > 1. I *strongly* object to the deprecation of these user
>> > options.
>> > [...]
>> 
>> I agree wholeheartedly.
>
> Those variables were obsoleted in Emacs 24.3, which was released 4
> years ago.  Isn't it too late to strongly object now to their
> deprecation?  That ship sailed long ago.

I see it this way: The departure of that ship was announced long
ago, for those knowing where to look; however, it did not sail yet.
I've got several settings for special-display variables in my init
file (predating 24.3, I don't know since when).  They still work
today, and they work without any user visible warning.

Best wishes
Jens




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26233; Package emacs. Full text available.

Message received at 26233 <at> debbugs.gnu.org:


Received: (at 26233) by debbugs.gnu.org; 25 Mar 2017 14:37:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 25 10:37:04 2017
Received: from localhost ([127.0.0.1]:44431 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1crmoS-0002ag-CW
	for submit <at> debbugs.gnu.org; Sat, 25 Mar 2017 10:37:04 -0400
Received: from userp1040.oracle.com ([156.151.31.81]:32838)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1crmoQ-0002aC-QS
 for 26233 <at> debbugs.gnu.org; Sat, 25 Mar 2017 10:37:03 -0400
Received: from aserv0021.oracle.com (aserv0021.oracle.com [141.146.126.233])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 v2PEatsh023920
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Sat, 25 Mar 2017 14:36:56 GMT
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by aserv0021.oracle.com (8.13.8/8.14.4) with ESMTP id v2PEatRV002750
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=FAIL);
 Sat, 25 Mar 2017 14:36:55 GMT
Received: from abhmp0009.oracle.com (abhmp0009.oracle.com [141.146.116.15])
 by aserv0122.oracle.com (8.14.4/8.14.4) with ESMTP id v2PEasPc011166;
 Sat, 25 Mar 2017 14:36:54 GMT
MIME-Version: 1.0
Message-ID: <f3c3d248-6836-40c8-8c34-862eb50d9817@default>
Date: Sat, 25 Mar 2017 07:36:53 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, Jens Lechtenboerger
 <lechten@HIDDEN>
Subject: RE: bug#26233: 26.0.50;	[PATCH] Improve documentation for
 display-buffer-alist
References: <<87o9wq6c31.fsf@HIDDEN>
 <1a350894-ae16-4706-888f-6575cdc559ec@default>>
 <<878tnt6bdi.fsf@HIDDEN>>
 <<83shm1bvud.fsf@HIDDEN>>
In-Reply-To: <<83shm1bvud.fsf@HIDDEN>>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 12.0.6753.5000 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Source-IP: aserv0021.oracle.com [141.146.126.233]
X-Spam-Score: -4.6 (----)
X-Debbugs-Envelope-To: 26233
Cc: 26233 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.6 (----)

> > >> in Bug#25946 we discussed how to replace the obsolete variables
> > >> special-display-buffer-names and special-display-regexps.  The
> > >> attached patch extends the doc string of display-buffer-alist
> > >> based on that discussion.
> > >
> > > FWIW:
> > >
> > > 1. I *strongly* object to the deprecation of these user
> > > options.
> > > [...]
> >
> > I agree wholeheartedly.
>=20
> Those variables were obsoleted in Emacs 24.3, which was released
> 4 years ago.  Isn't it too late to strongly object now to their
> deprecation?  That ship sailed long ago.

1. No, it should not be "too late" to do something sensible.

2. I _did_ object at the time.  And several times since.
With reasoned arguments each time.  The arguments are
still valid.

3. If for some reason Emacs stubbornly still does not
want to rehabilitate these options and document them
prominently (e.g. in the manual), then it should (IMHO)
at the very least explicitly decide to leave them
deprecated and supported - i.e., express the intention
not to desupport them.

(Obviously, #3 is not what I prefer.)  To be clear, I
have no objection to the point of view that says that
our docs should encourage users to use
`display-buffer-alist'.

I suspect that that was the (only?) aim behind the
deprecations: `d-b-a' was to completely replace them,
since it is a more general tool.  But we need not
throw out the motorbike just because we now have a
minivan, which is larger and more general-purpose.

These are simple-to-use, well-defined options (just as
well-defined as `display-buffer-alist'), which provide
a class of solid special cases (use cases).  In fact,
we would be well advised to think about perhaps
creating additional simple ways to provide other
special cases of `display-buffer-alist'.

This is not a race ("Time's up!").  These options work
just as well today as they did when they were deprecated.
No reason was ever given for their deprecation, beyond
"We now have the more general `display-buffer-alist'."

And if some users were steered away from them in the
interim, that is not the end of the world.  These are
_conveniences_, and good ones.  No one is obliged to
use them.  If someone prefers to slash her way through
the `display-buffer-alist' jungle for such simple use
cases, more power to her!

`display-buffer-alist' is notoriously difficult to
understand and make use of.  As one example, though I've
asked several times how to use it to get the same effect
provided by these options I've never gotten a response.

That's the first step for Emacs to take, IMO, after
undeprecating these options (as well as anything else
"special-display", of course, such as
`special-display-alist'): State in the doc exactly how
they correspond to a special case of using
`display-buffer-alist'.  _Show_ the equivalence.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26233; Package emacs. Full text available.

Message received at 26233 <at> debbugs.gnu.org:


Received: (at 26233) by debbugs.gnu.org; 25 Mar 2017 09:28:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 25 05:28:51 2017
Received: from localhost ([127.0.0.1]:43248 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cri0A-0001jc-Vn
	for submit <at> debbugs.gnu.org; Sat, 25 Mar 2017 05:28:51 -0400
Received: from mout.gmx.net ([212.227.15.18]:57791)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1cri09-0001jP-Pg
 for 26233 <at> debbugs.gnu.org; Sat, 25 Mar 2017 05:28:50 -0400
Received: from [192.168.1.100] ([213.162.68.58]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0LcSAg-1cPlqX18Io-00jtR7; Sat, 25
 Mar 2017 10:28:43 +0100
Message-ID: <58D63847.1060906@HIDDEN>
Date: Sat, 25 Mar 2017 10:28:39 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Jens Lechtenboerger <lechten@HIDDEN>
Subject: Re: bug#26233: 26.0.50;
 [PATCH] Improve documentation for display-buffer-alist
References: <87o9wq6c31.fsf@HIDDEN> <58D56B7A.2080909@HIDDEN>
 <874lyh6b25.fsf@HIDDEN>
In-Reply-To: <874lyh6b25.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:/pWZiNBe3mc6gQzUuVA612BoYl62PniG+nDHewnLQF+gO6WLewq
 4lBJmS67QR0RT30fnWaLsP8NlYwMKNDP7DqZqJzdRDbHEKMZdXPdxLNc09TyxdUJB1vLq+k
 b3vTA8z0hNNHUX7+XE3Lj7Y1kvwY2lb81jPxwbrEXCT24BQXO4fmxcSTXMqk9+wky3DnmQA
 y9btuhWvPtU7P+Ih+5gtA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:qc852wCYLFE=:Qp6Rk/pMgAZcaN0fC1Xgir
 RhYOum0Wq8+JqHyVxhnT5at2kTIwHCSnB8AATgaMoTWgrQdp7AVYBjLKKGgwb8sjBTkMpCZrn
 9wYTrFh12o6VXt08vXSKSeDHssXs3dc1GC8qAKDnkotMg5vj+iRfzRjU1k2QuB/LSh6sC96Uj
 0deMebEBtGxqEefQ4HTziEronEsC7rVaS/ULAtSW08BY9qDNL1iL0rI5ccQyVz7Sm/9sCWmj5
 TtiB55jouq4zIFjga3HI/sD4h5a3Aj1/gLoatGNZ28+f6vgnJW8ZmIm4pCUBmiEFh71mHQmTJ
 qZETzjVF+Gl9Hl/D1IcheMOt58+KvIh43kNtDphilE6BG6+vto7MenS4/ylSbLUmYK6H4tXls
 GsmGNPk+TwzGtDmocl8sEv8eWpQy5cw3UQYfqsNDevifU6q6YupUwsso5DEQpf4LXOmpaTAUR
 Flfi5DkTCIbtm5rxujQinb5+22tRMw3MLV2X8F71t4BsUcoBR0CCGkR8GmfpUQ1cLmGzbecj9
 e9Q0amuG7+NjbUwO0KDD500j2Zb+P/+5XKjZUgCOVuLb0mHj1rnjzTnzz5sn9Tuds72eTRG8f
 o9mNTEFdkn8PNKl+kYSqqBxMU9oqTjkythW+XK9K8R47Jn8ABlp4kSCBzo23SNzdVE78UILhN
 izjKdnHfX2LZaH65sKCKiMHoXCGkUB9q8xxfWwew6csDr/DH2TYscFsnnpOB/gY4+0/hSPKV5
 c25HiYpzYUTStDXy3RVr6R0lbthL1hOBk0PNidZtpYf37C8QrMWC0NpO3PYEsghUyiziVGL6i
 30yZj8fbhy4m9zmWbICFiof+iEspQ==
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 26233
Cc: 26233 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.8 (/)

 >> Thanks.  Personally I'd prefer having that in the Elisp manual.  Either
 >> in a new subsection or at the end of section 27.14 Action Functions for
 >> `display-buffer'?  Code in doc-strings is sometimes tedious to read.
 >
 > I'm surprised.  I consider that information relevant to ordinary
 > users, not only developers.  As pointed out by Drew Adams, probably
 > a new section in the Emacs manual is necessary.  Also, she convinced
 > me that much more information is necessary, which I'm unable to
 > provide.

That's why I used the term "personally".  If you think that putting
the information in the doc-string is better, let's do that.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26233; Package emacs. Full text available.

Message received at 26233 <at> debbugs.gnu.org:


Received: (at 26233) by debbugs.gnu.org; 25 Mar 2017 08:32:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 25 04:32:26 2017
Received: from localhost ([127.0.0.1]:43210 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1crh7a-0000SJ-5J
	for submit <at> debbugs.gnu.org; Sat, 25 Mar 2017 04:32:26 -0400
Received: from eggs.gnu.org ([208.118.235.92]:49154)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1crh7Y-0000S6-F8
 for 26233 <at> debbugs.gnu.org; Sat, 25 Mar 2017 04:32:24 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1crh7Q-0002bI-1i
 for 26233 <at> debbugs.gnu.org; Sat, 25 Mar 2017 04:32:19 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:51863)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1crh7P-0002bE-VA; Sat, 25 Mar 2017 04:32:15 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4584
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1crh7P-0005Sj-7E; Sat, 25 Mar 2017 04:32:15 -0400
Date: Sat, 25 Mar 2017 11:32:10 +0300
Message-Id: <83shm1bvud.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jens Lechtenboerger <lechten@HIDDEN>
In-reply-to: <878tnt6bdi.fsf@HIDDEN>
 (message from Jens Lechtenboerger on Sat, 25 Mar 2017 08:53:13 +0100)
Subject: Re: bug#26233: 26.0.50;
 [PATCH] Improve documentation for display-buffer-alist
References: <87o9wq6c31.fsf@HIDDEN>
 <1a350894-ae16-4706-888f-6575cdc559ec@default>
 <878tnt6bdi.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 26233
Cc: 26233 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Jens Lechtenboerger <lechten@HIDDEN>
> Date: Sat, 25 Mar 2017 08:53:13 +0100
> Cc: 26233 <at> debbugs.gnu.org
> 
> On 2017-03-24, at 07:51, Drew Adams wrote:
> 
> >> in Bug#25946 we discussed how to replace the obsolete variables
> >> special-display-buffer-names and special-display-regexps.  The
> >> attached patch extends the doc string of display-buffer-alist
> >> based on that discussion.
> >
> > FWIW:
> >
> > 1. I *strongly* object to the deprecation of these user
> > options.
> > [...]
> 
> I agree wholeheartedly.

Those variables were obsoleted in Emacs 24.3, which was released 4
years ago.  Isn't it too late to strongly object now to their
deprecation?  That ship sailed long ago.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26233; Package emacs. Full text available.

Message received at 26233 <at> debbugs.gnu.org:


Received: (at 26233) by debbugs.gnu.org; 25 Mar 2017 08:00:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 25 04:00:17 2017
Received: from localhost ([127.0.0.1]:43196 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1crgcS-0008AM-NN
	for submit <at> debbugs.gnu.org; Sat, 25 Mar 2017 04:00:16 -0400
Received: from mx1.mailbox.org ([80.241.60.212]:43925)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lechten@HIDDEN>) id 1crgcR-0008A9-So
 for 26233 <at> debbugs.gnu.org; Sat, 25 Mar 2017 04:00:16 -0400
Received: from smtp1.mailbox.org (smtp1.mailbox.org [80.241.60.240])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mx1.mailbox.org (Postfix) with ESMTPS id 1EEED456BF;
 Sat, 25 Mar 2017 09:00:10 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
Received: from smtp1.mailbox.org ([80.241.60.240])
 by hefe.heinlein-support.de (hefe.heinlein-support.de [91.198.250.172])
 (amavisd-new, port 10030)
 with ESMTP id Qn4dBaFxMLwG; Sat, 25 Mar 2017 09:00:03 +0100 (CET)
From: Jens Lechtenboerger <lechten@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#26233: 26.0.50;
 [PATCH] Improve documentation for display-buffer-alist
References: <87o9wq6c31.fsf@HIDDEN> <58D56B7A.2080909@HIDDEN>
Date: Sat, 25 Mar 2017 09:00:02 +0100
In-Reply-To: <58D56B7A.2080909@HIDDEN> (martin rudalics's message of "Fri, 24
 Mar 2017 19:54:50 +0100")
Message-ID: <874lyh6b25.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 26233
Cc: 26233 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On 2017-03-24, at 19:54, martin rudalics wrote:

>> in Bug#25946 we discussed how to replace the obsolete variables
>> special-display-buffer-names and special-display-regexps.  The
>> attached patch extends the doc string of display-buffer-alist based
>> on that discussion.
>
> Thanks.  Personally I'd prefer having that in the Elisp manual.  Either
> in a new subsection or at the end of section 27.14 Action Functions for
> `display-buffer'?  Code in doc-strings is sometimes tedious to read.

I'm surprised.  I consider that information relevant to ordinary
users, not only developers.  As pointed out by Drew Adams, probably
a new section in the Emacs manual is necessary.  Also, she convinced
me that much more information is necessary, which I'm unable to
provide.

Best wishes
Jens




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26233; Package emacs. Full text available.

Message received at 26233 <at> debbugs.gnu.org:


Received: (at 26233) by debbugs.gnu.org; 25 Mar 2017 07:53:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 25 03:53:24 2017
Received: from localhost ([127.0.0.1]:43186 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1crgVo-0007zE-NT
	for submit <at> debbugs.gnu.org; Sat, 25 Mar 2017 03:53:24 -0400
Received: from mx1.mailbox.org ([80.241.60.212]:40987)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lechten@HIDDEN>) id 1crgVm-0007z0-7Q
 for 26233 <at> debbugs.gnu.org; Sat, 25 Mar 2017 03:53:22 -0400
Received: from smtp1.mailbox.org (smtp1.mailbox.org [80.241.60.240])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mx1.mailbox.org (Postfix) with ESMTPS id 1371C45C54;
 Sat, 25 Mar 2017 08:53:15 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter03.heinlein-hosting.de (spamfilter03.heinlein-hosting.de
 [80.241.56.117]) (amavisd-new, port 10030)
 with ESMTP id xwLKQZ8mcDXN; Sat, 25 Mar 2017 08:53:15 +0100 (CET)
From: Jens Lechtenboerger <lechten@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#26233: 26.0.50;
 [PATCH] Improve documentation for display-buffer-alist
References: <87o9wq6c31.fsf@HIDDEN>
 <1a350894-ae16-4706-888f-6575cdc559ec@default>
Date: Sat, 25 Mar 2017 08:53:13 +0100
Message-ID: <878tnt6bdi.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 26233
Cc: 26233 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On 2017-03-24, at 07:51, Drew Adams wrote:

>> in Bug#25946 we discussed how to replace the obsolete variables
>> special-display-buffer-names and special-display-regexps.  The
>> attached patch extends the doc string of display-buffer-alist
>> based on that discussion.
>
> FWIW:
>
> 1. I *strongly* object to the deprecation of these user
> options.
> [...]

I agree wholeheartedly.

> 2. The patch, though it proceeds from a good motivation
> no doubt, can suggest that adding that code or similar
> (e.g. some other regexp) in your init file will give you
> the behavior of those deprecated options, in general.
> That impression would be incorrect.
>
> First, there are two such options, not just the
> `-regexps' one.  More importantly are the so-called
> "alternative" forms of the option values - two
> "alternatives" for each option.  Just one example such
> as that given indicates nothing about these
> possibilities.
> [...]

I never used those alternative forms, but you are right.
They need to be documented as well.

However, I don't know how.

Many thanks for your input
Jens




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26233; Package emacs. Full text available.

Message received at 26233 <at> debbugs.gnu.org:


Received: (at 26233) by debbugs.gnu.org; 24 Mar 2017 18:55:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 24 14:55:02 2017
Received: from localhost ([127.0.0.1]:42755 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1crUMY-0002U2-1X
	for submit <at> debbugs.gnu.org; Fri, 24 Mar 2017 14:55:02 -0400
Received: from mout.gmx.net ([212.227.17.21]:61438)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1crUMW-0002Tj-59
 for 26233 <at> debbugs.gnu.org; Fri, 24 Mar 2017 14:55:00 -0400
Received: from [192.168.1.100] ([213.162.68.26]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MZfZi-1cbSqJ35gc-00LY4a; Fri, 24
 Mar 2017 19:54:53 +0100
Message-ID: <58D56B7A.2080909@HIDDEN>
Date: Fri, 24 Mar 2017 19:54:50 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Jens Lechtenboerger <lechten@HIDDEN>, 
 26233 <at> debbugs.gnu.org
Subject: Re: bug#26233: 26.0.50;
 [PATCH] Improve documentation for display-buffer-alist
References: <87o9wq6c31.fsf@HIDDEN>
In-Reply-To: <87o9wq6c31.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:V/vNZX2XWIyWroS/+TTyW08zZku3DlBPfM6NYWQk5Nu5ZJBLvYX
 Gg2q+AmFm4zcJ40r14TwTInmthExp1Ategh0WUofMg7U2ehEYaXaMSxO+Ae65V1N6bij+Ig
 bklksvhDwAARbmhM4WFfLVwILZCVp4Q/RDgPX0St53cr1Fjx/yAZmCN11IpO3usw3h06eIp
 HrZEXPUWs33gdaVYFBJ4A==
X-UI-Out-Filterresults: notjunk:1;V01:K0:Y0INCNPMf7M=:+XQFpEu8kOLVhwt2xAW/fq
 3GunhypqGRCLjAPYNyKeUYyAu+S/x4Y4Pcp++yTLCLQellZYOcu4eZeFViYHnzWzX3KaFji3d
 r/R1O0nHH294WYL66z9RiDqBVpoCcmTs59re8pd+eKhg8uMFMea3DUeAk7yaDb7/2vXpdsr67
 zp1HJqcJeR8N0OKfyuhjtcFXpBoY+ysxBBtSB/KoFfMu5v7WxRncFgs4uYQcWiyNJSnCrV676
 ELrAEDOBvnxGgvu9PupVrE1Z4JjF1v0WoUAKinQiXKeu18MTmQTu6x/qkVaVINYabup59QgXN
 IKxfLCnFYLEhatxipSRTRi9tczIpPEJdAQbcSZFQw2MuRNd9Opctb2rT76blRmMLz25L+beLz
 NN0Hp50jDHROH3JAatVm5einKqnu/E55fFEzTM/yECXGyJmPxbhtibQq6QZ5UQaUvbLLscNJD
 7qhYp9Os3hzF7ZdYT00+FgzF34jb37kIY/dnnXv2pK/oTy+P/NoxNnQR5BGsszhbB/c9b61V8
 I2OVhwbMinRbXr7GyMjpH7oPWO8BpvJGqHREhhWrs7qxHfjC4UYR0E5jZXGlsYzw90BseM+GQ
 bjYnEOzJ56FKMX4BUnI86ROQAo0mnwzuqjIitNpQZb8qjLkR6PINVNYTQyC+70Sh8Cza9MRtH
 DwxXSceLwrBEzqcabptyYlo+OBvJaGs8jrLgAyloOwsDFK1wBUJr0+FeHsadAcAv6xgAlQYJV
 1+qQuPU/nF/RyWMoi4f/S30BQMteueEutI8QoN2cRTosW0iCqmUeaxejAqULZT7l7c2a3A0g9
 TA98YiQSdiUJNTIsiM2hZPRDdSZnA==
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: 26233
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.0 (--)

 > in Bug#25946 we discussed how to replace the obsolete variables
 > special-display-buffer-names and special-display-regexps.  The
 > attached patch extends the doc string of display-buffer-alist based
 > on that discussion.

Thanks.  Personally I'd prefer having that in the Elisp manual.  Either
in a new subsection or at the end of section 27.14 Action Functions for
`display-buffer'?  Code in doc-strings is sometimes tedious to read.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26233; Package emacs. Full text available.

Message received at 26233 <at> debbugs.gnu.org:


Received: (at 26233) by debbugs.gnu.org; 24 Mar 2017 14:51:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 24 10:51:18 2017
Received: from localhost ([127.0.0.1]:42542 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1crQYg-00080j-Dg
	for submit <at> debbugs.gnu.org; Fri, 24 Mar 2017 10:51:18 -0400
Received: from userp1040.oracle.com ([156.151.31.81]:27243)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1crQYe-00080V-8B
 for 26233 <at> debbugs.gnu.org; Fri, 24 Mar 2017 10:51:16 -0400
Received: from userv0022.oracle.com (userv0022.oracle.com [156.151.31.74])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 v2OEp8au028333
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Fri, 24 Mar 2017 14:51:09 GMT
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by userv0022.oracle.com (8.14.4/8.14.4) with ESMTP id v2OEp8RG027601
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=FAIL);
 Fri, 24 Mar 2017 14:51:08 GMT
Received: from abhmp0009.oracle.com (abhmp0009.oracle.com [141.146.116.15])
 by aserv0122.oracle.com (8.14.4/8.14.4) with ESMTP id v2OEp7Ua005766;
 Fri, 24 Mar 2017 14:51:07 GMT
MIME-Version: 1.0
Message-ID: <1a350894-ae16-4706-888f-6575cdc559ec@default>
Date: Fri, 24 Mar 2017 07:51:06 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Jens Lechtenboerger <lechten@HIDDEN>, 26233 <at> debbugs.gnu.org
Subject: RE: bug#26233: 26.0.50; [PATCH] Improve documentation for
 display-buffer-alist
References: <87o9wq6c31.fsf@HIDDEN>
In-Reply-To: <87o9wq6c31.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 12.0.6753.5000 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Source-IP: userv0022.oracle.com [156.151.31.74]
X-Spam-Score: -5.1 (-----)
X-Debbugs-Envelope-To: 26233
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.1 (-----)

> in Bug#25946 we discussed how to replace the obsolete variables
> special-display-buffer-names and special-display-regexps.  The
> attached patch extends the doc string of display-buffer-alist
> based on that discussion.

FWIW:

1. I *strongly* object to the deprecation of these user
options.

Instead of deprecating them, we should not only continue
to support them, as we have been doing, but fully
document and even promote them.  If they did not exist
then Emacs would be well advised to invent them, as they
are convenient, _simple_ ways to specify special-display
of buffers.

"Special-display" is a thing.  Or at least it was.
Now, the term has been liquidated from the manual.
The only vestige of it is in the description of menu
"`Display Property': Enabling special display features."
That's unfortunate for users.

It is fine to have introduced a generalization, which
was done with `display-buffer-alist' etc.  It is not
fine to remove these simple, easy-to-use ways of
expressing common use cases.

2. The patch, though it proceeds from a good motivation
no doubt, can suggest that adding that code or similar
(e.g. some other regexp) in your init file will give you
the behavior of those deprecated options, in general.
That impression would be incorrect.

First, there are two such options, not just the
`-regexps' one.  More importantly are the so-called=20
"alternative" forms of the option values - two=20
"alternatives" for each option.  Just one example such=20
as that given indicates nothing about these=20
possibilities.

These options, and users, deserve a complete description
of how to get their full behavior using the more general
apparatus (`display-buffer-alist' etc.).  We should have
a section in the manual that describes these options and
"special-display" in general, just as was the case in
the past.

In that section it should be shown how this or that
behavior, which you can obtain simply using these
options, can also be had using `display-buffer-alist'.

I can almost guarantee that if we did that, then, as
a side benefit (and one that is sorely needed, IMO),
users would come away with a better understanding of
`display-buffer-alist' itself, and how to use it.
To this day - years after it was introduced - users
(including me) are still in the dark and confused
about `display-buffer-alist'.

IOW, introduce these options as first-class citizens,
and show _how they correspond_ to the more general
apparatus.

3. I also object to the way the doc strings for these
options were changed, to suggest that the "alternative"
value forms are perhaps only arcane or less-important
"alternatives".

Originally, the doc strings just said, outright, that
there are 3 forms the value can take: 1, 2, 3.  None
of those forms were relegated to the background, as
an afterthought or as something obscure or inferior.
Though simple to use, these are powerful options,
which should not be trivialized.

Users should be encouraged to use these options
whenever they do the job needed, and to use the more
general constructs when they need something else.

Instead, we've hidden these simple constructs, told
users that they are now deprecated, and tossed users
immediately onto the rocks of `display-buffer-alist'
as their only resort, even for these simple use cases.
That's not right.

Just one opinion.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26233; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Mar 2017 13:25:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 24 09:25:55 2017
Received: from localhost ([127.0.0.1]:41828 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1crPE3-0005ol-9k
	for submit <at> debbugs.gnu.org; Fri, 24 Mar 2017 09:25:55 -0400
Received: from eggs.gnu.org ([208.118.235.92]:46348)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lechten@HIDDEN>) id 1crPE2-0005oX-3W
 for submit <at> debbugs.gnu.org; Fri, 24 Mar 2017 09:25:54 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <lechten@HIDDEN>) id 1crPDw-00064c-0h
 for submit <at> debbugs.gnu.org; Fri, 24 Mar 2017 09:25:48 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FSL_NEW_HELO_USER
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:47938)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <lechten@HIDDEN>)
 id 1crPDv-00064V-TJ
 for submit <at> debbugs.gnu.org; Fri, 24 Mar 2017 09:25:47 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:37319)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <lechten@HIDDEN>) id 1crPDu-0005Tm-Ms
 for bug-gnu-emacs@HIDDEN; Fri, 24 Mar 2017 09:25:47 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <lechten@HIDDEN>) id 1crPDq-000616-O1
 for bug-gnu-emacs@HIDDEN; Fri, 24 Mar 2017 09:25:46 -0400
Received: from zivm-wwu3-1.uni-muenster.de ([128.176.192.17]:61984
 helo=zivm-wwu3.uni-muenster.de)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_ARCFOUR_SHA1:16) (Exim 4.71)
 (envelope-from <lechten@HIDDEN>) id 1crPDq-0005yi-CW
 for bug-gnu-emacs@HIDDEN; Fri, 24 Mar 2017 09:25:42 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: =?us-ascii?q?A2D/AQCDHdVY/xi8sIBdHQYMg1WBbI1xc?=
 =?us-ascii?q?48tAQEBAQEGBZRYgg+CDoYigyY/GAECAQEBAQEBAWsohRUBgSsDAQIKNAEEKBM?=
 =?us-ascii?q?hiXoNmWmSLIpjD4YJiVhQLIR6HwWcWZ0ghluTZR84gQRaFEGGWXSHMYI9AQEB?=
X-IPAS-Result: =?us-ascii?q?A2D/AQCDHdVY/xi8sIBdHQYMg1WBbI1xc48tAQEBAQEGBZR?=
 =?us-ascii?q?Ygg+CDoYigyY/GAECAQEBAQEBAWsohRUBgSsDAQIKNAEEKBMhiXoNmWmSLIpjD?=
 =?us-ascii?q?4YJiVhQLIR6HwWcWZ0ghluTZR84gQRaFEGGWXSHMYI9AQEB?=
X-IronPort-AV: E=Sophos;i="5.36,214,1486422000"; 
 d="scan'208,223";a="124603300"
Received: from mail.uni-muenster.de ([128.176.188.24])
 by zivm-relay3.uni-muenster.de with ESMTP; 24 Mar 2017 14:25:38 +0100
Received: from localhost (D-3140W19.WIWI.UNI-MUENSTER.DE [128.176.158.169])
 by mail.uni-muenster.de (Postfix) with ESMTP id 1673DBF402
 for <bug-gnu-emacs@HIDDEN>; Fri, 24 Mar 2017 14:25:38 +0100 (CET)
Received: from user by localhost with local (Exim 4.84_2)
 (envelope-from <lechten@HIDDEN>) id 1crPDm-0006qU-1g
 for bug-gnu-emacs@HIDDEN; Fri, 24 Mar 2017 14:25:38 +0100
From: Jens Lechtenboerger <lechten@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.0.50; [PATCH] Improve documentation for display-buffer-alist
OpenPGP: id=0xBCD68E10;
 url=https://dbis-group.uni-muenster.de/dbms/media/people/lechtenboerger/0xBCD68E10.asc
Date: Fri, 24 Mar 2017 14:25:38 +0100
Message-ID: <87o9wq6c31.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

--=-=-=
Content-Type: text/plain

Hi there,

in Bug#25946 we discussed how to replace the obsolete variables
special-display-buffer-names and special-display-regexps.  The
attached patch extends the doc string of display-buffer-alist based
on that discussion.

Best wishes
Jens


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline;
 filename=0001-Improve-documentation-for-display-buffer-alist.patch

From 10c5930b3056aa8366f1c4e02b24ba3de3f79058 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Jens=20Lechtenb=C3=B6rger?= <lechten@HIDDEN>
Date: Fri, 24 Mar 2017 14:09:15 +0100
Subject: [PATCH] Improve documentation for display-buffer-alist

The obsolete variables special-display-buffer-names and
special-display-regexps refer to display-buffer-alist.  As a follow-up
to Bug#25946 this change extends the doc string for that variable.
* list/windows.el (display-buffer-alist): Extend doc string.
---
 lisp/window.el | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

diff --git a/lisp/window.el b/lisp/window.el
index 5050243..c5c3e89 100644
--- a/lisp/window.el
+++ b/lisp/window.el
@@ -6792,7 +6792,20 @@ display-buffer-alist
 `display-buffer' scans this alist until it either finds a
 matching regular expression or the function specified by a
 condition returns non-nil.  In any of these cases, it adds the
-associated action to the list of actions it will try."
+associated action to the list of actions it will try.
+
+If you aim to replicate behavior of the obsolete variables
+`special-display-buffer-names' or `special-display-regexps',
+you may want to add something similar to the following to your
+init file (which places buffers whose names end with
+\" output\" into separate frames):
+(customize-set-variable 'display-buffer-alist
+			'((\".* output\"
+			   (display-buffer-reuse-window
+                            display-buffer-pop-up-frame)
+			   (reusable-frames . t))
+			  ))
+(setq display-buffer-mark-dedicated t)"
   :type `(alist :key-type
 		(choice :tag "Condition"
 			regexp
-- 
2.1.4


--=-=-=--




Acknowledgement sent to Jens Lechtenboerger <lechten@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#26233; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 26 Mar 2017 14:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.